const Loader = require('./Loader')

const handleIframe = async (iframe, path = '/') => {
  const convert = (tag, from, to) => {
    let elements = iframe.contentDocument.querySelectorAll(tag)
    
    for(let element of elements) {
      let original = element.getAttribute(from)
  
      if(!original)
        continue
    
      $bundle.for(path).open(original, 'URL').then(url => {
        element[to] = url
      })
    }
  }

  convert('script', 'lsrc', 'src')
  convert('img', 'lsrc', 'src')
  convert('link', 'lhref', 'href')
}

module.exports = handleIframe